function [fp,fp_back,fp_dist] = fun_chip_400(fileFolder,fileNames,filename,rg,peak,countfolder)

ob_size = 248;
corner1 = 89;
corner2 = 409;
corner3 = 160;
diag1 = ob_size+1;
dist2 = 0;
dist1 =  floor(ceil(ob_size/2)*sqrt(2)-dist2);
all_raw = zeros(512,512);
ob_raw = zeros(512,512);
ob_raw1 = zeros(512,512);
ob_raw2 = zeros(512,512);
ob_raw3 = zeros(512,512);
ob_raw4 = zeros(512,512);
fp = zeros(1,5);
fp_back = zeros(1,5);
fp_dist = zeros(1,5,26);

if ~isempty(fileFolder)
    cd(fileFolder);
    for i2 = 1:length(fileNames)
        if isequal(fileNames{i2}(1:end-5),filename(1:end-5))
            all_raw= imread(fileNames{i2});
        end
    end
    all_raw = double(all_raw);
    for i = 1:ob_size
        for j = 1:ob_size
            if i+j>corner1 && i+j<corner2 && abs(i-j)<corner3
                ob_raw(i,j) = all_raw(i,j);
            end
            if i+j>corner1 && i+j<corner2 && abs(i-j)<corner3 && i<ceil(ob_size./2) && j<ceil(ob_size./2)
                ob_raw1(i,j) = all_raw(i,j);
            end
            if i+j>corner1 && i+j<corner2 && abs(i-j)<corner3 && i>ceil(ob_size./2) && j<ceil(ob_size./2)
                ob_raw2(i,j) = all_raw(i,j);
            end
            if i+j>corner1 && i+j<corner2 && abs(i-j)<corner3 && i<ceil(ob_size./2) && j>ceil(ob_size./2)
                ob_raw3(i,j) = all_raw(i,j);
            end
            if i+j>corner1 && i+j<corner2 && abs(i-j)<corner3 && i>ceil(ob_size./2) && j>ceil(ob_size./2)
                ob_raw4(i,j) = all_raw(i,j);
            end
        end
    end
    
    ob_raw(ob_raw==0) = [];
    ob_raw1(ob_raw1==0) = [];
    ob_raw2(ob_raw2==0) = [];
    ob_raw3(ob_raw3==0) = [];
    ob_raw4(ob_raw4==0) = [];
    cd(countfolder);
    [fp(1,5),fp_back(1,5),mina5,fp_max] = fun_extraction(ob_raw,rg,peak);
    
    peak =0;
    cd(countfolder);
    [fp(1,1),fp_back(1,1),mina1] = fun_extraction(ob_raw1,rg,peak);
    cd(countfolder);
    [fp(1,2),fp_back(1,2),mina2] = fun_extraction(ob_raw2,rg,peak);
    cd(countfolder);
    [fp(1,3),fp_back(1,3),mina3] = fun_extraction(ob_raw3,rg,peak);
    cd(countfolder);
    [fp(1,4),fp_back(1,4),mina4] = fun_extraction(ob_raw4,rg,peak);
    
    all_raw(all_raw>fp_max) = fp_max;
    
    fp_dist1 = zeros(dist1,1);
    fp_dist2 = zeros(dist1,1);
    fp_dist3 = zeros(dist1,1);
    fp_dist4 = zeros(dist1,1);
    fp_dist5 = zeros(dist1,1);
    fp_dist_num = zeros(dist1,1);
    
    for i = 1:ceil(ob_size/2)
        for j = 1:ceil(ob_size/2)
            if abs(i-j)<corner1
                fp_dist5(fix(sqrt(i^2+j^2))-dist2) = all_raw(i,j)+all_raw(i,diag1-j)+all_raw(diag1-i,j)+all_raw(diag1-i,diag1-j)+fp_dist5(fix(sqrt(i^2+j^2))-dist2);
                fp_dist1(fix(sqrt(i^2+j^2))-dist2) = all_raw(i,j)+fp_dist1(fix(sqrt(i^2+j^2))-dist2);
                fp_dist2(fix(sqrt(i^2+j^2))-dist2) = all_raw(i,diag1-j)+fp_dist2(fix(sqrt(i^2+j^2))-dist2);
                fp_dist3(fix(sqrt(i^2+j^2))-dist2) = all_raw(diag1-i,j)+fp_dist3(fix(sqrt(i^2+j^2))-dist2);
                fp_dist4(fix(sqrt(i^2+j^2))-dist2) = all_raw(diag1-i,diag1-j)+fp_dist4(fix(sqrt(i^2+j^2))-dist2);
                fp_dist_num(fix(sqrt(i^2+j^2))-dist2) =fp_dist_num(fix(sqrt(i^2+j^2))-dist2)+4;
            end
        end
    end
    fp_dist5 = fp_dist5./fp_dist_num;
    fp_dist1 = fp_dist1.*4./fp_dist_num;
    fp_dist2 = fp_dist2.*4./fp_dist_num;
    fp_dist3 = fp_dist3.*4./fp_dist_num;
    fp_dist4 = fp_dist4.*4./fp_dist_num;
    
    N_1_1to26_1 = reshape(fp_dist1(101:end),15,5);
    N_1_1to26_2 = reshape(fp_dist2(101:end),15,5);
    N_1_1to26_3 = reshape(fp_dist3(101:end),15,5);
    N_1_1to26_4 = reshape(fp_dist4(101:end),15,5);
    N_1_1to26_5 = reshape(fp_dist5(101:end),15,5);
    
    for k = 1:5
        fp_dist(1,1,k) = mean2(N_1_1to26_1(:,k))-mina1+1;
        fp_dist(1,2,k) = mean2(N_1_1to26_2(:,k))-mina2+1;
        fp_dist(1,3,k) = mean2(N_1_1to26_3(:,k))-mina3+1;
        fp_dist(1,4,k) = mean2(N_1_1to26_4(:,k))-mina4+1;
        fp_dist(1,5,k) = mean2(N_1_1to26_5(:,k))-mina5+1;
    end
end

