function [fp,fp_back,fp_dist] = fun_chip_strip(fileFolder,fileNames,filename,rg,peak,countfolder)

all_raw = zeros(512,512);
ob_raw = zeros(512,512);

fp = zeros(1,5);
fp_back = zeros(1,5);
fp_dist = zeros(1,5,26);
if ~isempty(fileFolder)
    cd(fileFolder);
    for i2 = 1:length(fileNames)
        if isequal(fileNames{i2}(1:end-5),filename(1:end-5))
            all_raw= imread(fileNames{i2});
        end
    end
    all_raw = double(all_raw);
    ob_raw = double(ob_raw);
    ob_raw(120:300,1:512) = all_raw(120:300,1:512);
    ob_raw(ob_raw==0) = [];
    
    cd(countfolder);
    [fp_dist(1,5,1),fp_back(1,1),mina1] = fun_extraction(ob_raw,rg,peak);
end
fp_back(1,1) = fp_back(1,1)+mina1-1;
all_raw = zeros(512,512);
ob_raw = zeros(512,512);
if ~isempty(fileFolder)
    cd(fileFolder);
    for i2 = 1:length(fileNames)
        if isequal(fileNames{i2}(1:end-6),[filename(1:end-6),'001'])
            all_raw= imread(fileNames{i2});
        end
    end
    all_raw = double(all_raw);
    ob_raw = double(ob_raw);
    ob_raw(120:300,1:512) = all_raw(120:300,1:512);
    ob_raw(ob_raw==0) = [];
    
    cd(countfolder);
    [fp_dist(1,5,2),fp_back(1,2),mina2] = fun_extraction(ob_raw,rg,peak);
end
fp_back(1,2) = fp_back(1,2)+mina2-1;
fp(1,1) = fp_dist(1,5,1);
fp(1,2) = fp_dist(1,5,2);
fp(1,5) = fp_dist(1,5,1)+fp_dist(1,5,2);
fp_back(1,5) = (fp_back(1,1)+fp_back(1,2))./2;

end

