function [fp,fp_back,fp_dist] = fun_chip_1600(fileFolder,fileNames,filename,rg,peak,countfolder)

all_raw_t = zeros(512,512);
all_raw = zeros(500,500);
ob_raw = zeros(500,500);
fp_dist1 = zeros(707,1);
fp_dist2 = zeros(707,1);
fp_dist3 = zeros(707,1);
fp_dist4 = zeros(707,1);

fp = zeros(1,5);
fp1 = zeros(1,5);
fp_back = zeros(1,5);
fp_back1 = zeros(1,5);
fp_dist = zeros(1,5,26);
fp_dist11 = zeros(1,5,26);

if ~isempty(fileFolder)
    cd(fileFolder);
    for i2 = 1:length(fileNames)
        if isequal(fileNames{i2}(1:end-5),filename(1:end-5))
            all_raw_t= imread(fileNames{i2});
        end
    end
    all_raw_t = double(all_raw_t);
    all_raw = double(all_raw);
    all_raw(:,:) = all_raw_t(1:500,1:500);
    ob_raw = double(ob_raw);
    fp_dist_num = zeros(707,1);
    for i = 1:500
        for j = 1:500
            if i+j>89 
                ob_raw(i,j) = all_raw(i,j);
            end
        end
    end
    ob_raw(ob_raw==0) = [];

    cd(countfolder);
    [fp(1,1),fp_back(1,1),mina1,fp_max] = fun_extraction(ob_raw,rg,peak);
    all_raw(all_raw>fp_max) = fp_max;
    for i = 1:500
        for j = 1:500
             if abs(i-j)<89 
                fp_dist1(fix(sqrt(i^2+j^2))) = all_raw(i,j)+fp_dist1(fix(sqrt(i^2+j^2)));
                fp_dist_num(fix(sqrt(i^2+j^2))) =fp_dist_num(fix(sqrt(i^2+j^2)))+1;
             end
        end
    end
    fp_back(1,1) = fp_back(1,1)+mina1-1;
    fp_dist1 = fp_dist1./fp_dist_num;
    N_1_1to26_1 = reshape(fp_dist1(110:end),23,26);
    for k = 1:26
        fp_dist(1,1,k) = mean2(N_1_1to26_1(:,k))-mina1+1;
    end
end
all_raw_t = zeros(512,512);
all_raw = zeros(500,500);
ob_raw = zeros(500,500);
fp_dist_num = zeros(707,1);
if ~isempty(fileFolder)
    cd(fileFolder);
    for i2 = 1:length(fileNames)
        if isequal(fileNames{i2}(1:end-6),[filename(1:end-6),'001'])
            all_raw_t= imread(fileNames{i2});
        end
    end
    all_raw_t = double(all_raw_t);
    all_raw = double(all_raw);
    all_raw(:,:) = all_raw_t(1:500,512:-1:13);
    ob_raw = double(ob_raw);
    for i = 1:500
        for j = 1:500
            if i+j>89 
                ob_raw(i,j) = all_raw(i,j);
            end
        end
    end
    ob_raw(ob_raw==0) = [];

    cd(countfolder);
    [fp(1,2),fp_back(1,2),mina2,fp_max] = fun_extraction(ob_raw,rg,peak);
    all_raw(all_raw>fp_max) = fp_max;
    for i = 1:500
        for j = 1:500
             if abs(i-j)<89 
                fp_dist2(fix(sqrt(i^2+j^2))) = all_raw(i,j)+fp_dist2(fix(sqrt(i^2+j^2)));
                fp_dist_num(fix(sqrt(i^2+j^2))) =fp_dist_num(fix(sqrt(i^2+j^2)))+1;
             end
        end
    end
    fp_back(1,2) = fp_back(1,2)+mina2-1;
    fp_dist2 = fp_dist2./fp_dist_num;
    N_1_1to26_2 = reshape(fp_dist2(110:end),23,26);
    for k = 1:26
        fp_dist(1,2,k) = mean2(N_1_1to26_2(:,k))-mina2+1;
    end

end
all_raw_t = zeros(512,512);
all_raw = zeros(500,500);
ob_raw = zeros(500,500);
fp_dist_num = zeros(707,1);
if ~isempty(fileFolder)
    cd(fileFolder);
    for i2 = 1:length(fileNames)
        if isequal(fileNames{i2}(1:end-6),[filename(1:end-6),'002'])
            all_raw_t= imread(fileNames{i2});
        end
    end
    all_raw_t = double(all_raw_t);
    all_raw = double(all_raw);
    all_raw(:,:) = all_raw_t(512:-1:13,512:-1:13);
    ob_raw = double(ob_raw);
    for i = 1:500
        for j = 1:500
            if i+j>89 
                ob_raw(i,j) = all_raw(i,j);
            end
        end
    end
    ob_raw(ob_raw==0) = [];

    cd(countfolder);
    [fp(1,3),fp_back(1,3),mina3,fp_max] = fun_extraction(ob_raw,rg,peak);
    all_raw(all_raw>fp_max) = fp_max;
    for i = 1:500
        for j = 1:500
             if abs(i-j)<89 
                fp_dist3(fix(sqrt(i^2+j^2))) = all_raw(i,j)+fp_dist3(fix(sqrt(i^2+j^2)));
                fp_dist_num(fix(sqrt(i^2+j^2))) =fp_dist_num(fix(sqrt(i^2+j^2)))+1;
             end
        end
    end
    fp_back(1,3) = fp_back(1,3)+mina3-1;
    fp_dist3 = fp_dist3./fp_dist_num;
    N_1_1to26_3 = reshape(fp_dist3(110:end),23,26);
    for k = 1:26
        fp_dist(1,3,k) = mean2(N_1_1to26_3(:,k))-mina3+1;
    end

end
all_raw_t = zeros(512,512);
all_raw = zeros(500,500);
ob_raw = zeros(500,500);
fp_dist_num = zeros(707,1);
if ~isempty(fileFolder)
    cd(fileFolder);
    for i2 = 1:length(fileNames)
        if isequal(fileNames{i2}(1:end-6),[filename(1:end-6),'003'])
            all_raw_t= imread(fileNames{i2});
        end
    end
    all_raw_t = double(all_raw_t);
    all_raw = double(all_raw);
    all_raw(:,:) = all_raw_t(512:-1:13,1:500);
    ob_raw = double(ob_raw);
    for i = 1:500
        for j = 1:500
            if i+j>89 
                ob_raw(i,j) = all_raw(i,j);
            end
        end
    end
    ob_raw(ob_raw==0) = [];

    cd(countfolder);
    [fp(1,4),fp_back(1,4),mina4,fp_max] =  fun_extraction(ob_raw,rg,peak);
    all_raw(all_raw>fp_max) = fp_max;
    for i = 1:500
        for j = 1:500
             if abs(i-j)<89 
                fp_dist4(fix(sqrt(i^2+j^2))) = all_raw(i,j)+fp_dist4(fix(sqrt(i^2+j^2)));
                fp_dist_num(fix(sqrt(i^2+j^2))) =fp_dist_num(fix(sqrt(i^2+j^2)))+1;
             end
        end
    end
    fp_back(1,4) = fp_back(1,4)+mina4-1;
    fp_dist4 = fp_dist4./fp_dist_num;
    N_1_1to26_4 = reshape(fp_dist4(110:end),23,26);
    for k = 1:26
        fp_dist(1,4,k) = mean2(N_1_1to26_4(:,k))-mina4+1;
    end

end

fp(1,5) = (fp(1,1)+fp(1,2)+fp(1,3)+fp(1,4))./4;
fp_back(1,5) = (fp_back(1,1)+fp_back(1,2)+fp_back(1,3)+fp_back(1,4))./4;
fp_dist(1,5,:) = (fp_dist(1,1,:)+fp_dist(1,2,:)+fp_dist(1,3,:)+fp_dist(1,4,:))./4;

end

